# Uses of Class
java.io.UnsupportedEncodingException

Packages that use UnsupportedEncodingException
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.net
Provides the classes for implementing networking applications.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.logging
Provides the classes and interfaces of the Java 2 platform's core logging facilities.

## Uses of UnsupportedEncodingException in java.io

Methods in java.io that throw UnsupportedEncodingException
Modifier and Type
Method
Description
`String`
ByteArrayOutputStream.`toString(String charsetName)`
Converts the buffer's contents into a string by decoding the bytes using the named `charset`.
Constructors in java.io that throw UnsupportedEncodingException
Modifier
Constructor
Description
``
`InputStreamReader(InputStream in, String charsetName)`
Creates an InputStreamReader that uses the named charset.
``
`OutputStreamWriter(OutputStream out, String charsetName)`
Creates an OutputStreamWriter that uses the named charset.
``
`PrintStream(File file, String csn)`
Creates a new print stream, without automatic line flushing, with the specified file and charset.
``
`PrintStream(OutputStream out, boolean autoFlush, String encoding)`
Creates a new print stream, with the specified OutputStream, line flushing, and character encoding.
``
`PrintStream(String fileName, String csn)`
Creates a new print stream, without automatic line flushing, with the specified file name and charset.
``
`PrintWriter(File file, String csn)`
Creates a new PrintWriter, without automatic line flushing, with the specified file and charset.
``
`PrintWriter(String fileName, String csn)`
Creates a new PrintWriter, without automatic line flushing, with the specified file name and charset.

## Uses of UnsupportedEncodingException in java.lang

Methods in java.lang that throw UnsupportedEncodingException
Modifier and Type
Method
Description
`byte[]`
String.`getBytes(String charsetName)`
Encodes this `String` into a sequence of bytes using the named charset, storing the result into a new byte array.
Constructors in java.lang that throw UnsupportedEncodingException
Modifier
Constructor
Description
``
`String(byte[] bytes, int offset, int length, String charsetName)`
Constructs a new `String` by decoding the specified subarray of bytes using the specified charset.
``
`String(byte[] bytes, String charsetName)`
Constructs a new `String` by decoding the specified array of bytes using the specified charset.

## Uses of UnsupportedEncodingException in java.net

Methods in java.net that throw UnsupportedEncodingException
Modifier and Type
Method
Description
`static String`
URLDecoder.`decode(String s, String enc)`
Decodes an `application/x-www-form-urlencoded` string using a specific encoding scheme.
`static String`
URLEncoder.`encode(String s, String enc)`
Translates a string into `application/x-www-form-urlencoded` format using a specific encoding scheme.

## Uses of UnsupportedEncodingException in java.util

Constructors in java.util that throw UnsupportedEncodingException
Modifier
Constructor
Description
``
`Formatter(File file, String csn)`
Constructs a new formatter with the specified file and charset.
``
`Formatter(File file, String csn, Locale l)`
Constructs a new formatter with the specified file, charset, and locale.
``
`Formatter(OutputStream os, String csn)`
Constructs a new formatter with the specified output stream and charset.
``
`Formatter(OutputStream os, String csn, Locale l)`
Constructs a new formatter with the specified output stream, charset, and locale.
``
`Formatter(String fileName, String csn)`
Constructs a new formatter with the specified file name and charset.
``
`Formatter(String fileName, String csn, Locale l)`
Constructs a new formatter with the specified file name, charset, and locale.

## Uses of UnsupportedEncodingException in java.util.logging

Methods in java.util.logging that throw UnsupportedEncodingException
Modifier and Type
Method
Description
`void`
Handler.`setEncoding(String encoding)`
Set the character encoding used by this `Handler`.
`void`
StreamHandler.`setEncoding(String encoding)`
Set (or change) the character encoding used by this `Handler`.